Apply by doing:
	If the unpatched screen is already installed:
	cd /usr/ports/misc/screen
	make deinstall

	Otherwise start here:
	cd /usr/ports
	patch -p0 < 017_screen.patch
	cd misc/screen
	make clean
	make install

Index: misc/screen/Makefile
===================================================================
RCS file: /cvs/ports/misc/screen/Makefile,v
retrieving revision 1.19
diff -u -r1.19 Makefile
--- misc/screen/Makefile	2000/03/24 22:11:50	1.19
+++ misc/screen/Makefile	2000/07/03 18:22:59
@@ -1,6 +1,7 @@
-# $OpenBSD: Makefile,v 1.19 2000/03/24 22:11:50 espie Exp $
+# $OpenBSD: Makefile,v 1.22 2000/06/23 18:59:39 brad Exp $
 
 DISTNAME=	screen-3.9.5
+PKGNAME=	screen-3.9.5p1
 CATEGORIES=	misc
 NEED_VERSION=	1.218
 MASTER_SITES=	ftp://ftp.uni-erlangen.de/pub/utilities/screen/ \
@@ -20,6 +21,8 @@
 FAKE=		Yes
 
 post-install:
+	@rm -f ${PREFIX}/bin/screen
+	@cd ${PREFIX}/bin; ln -sf screen-3.9.5 screen
 	${INSTALL_DATA_DIR} ${PREFIX}/lib/screen
 	${INSTALL_DATA} ${WRKSRC}/etc/etcscreenrc ${PREFIX}/lib/screen/screenrc
 	${INSTALL_DATA} ${WRKSRC}/terminfo/screencap ${PREFIX}/lib/screen
Index: misc/screen/pkg/PLIST
===================================================================
RCS file: /cvs/ports/misc/screen/pkg/PLIST,v
retrieving revision 1.7
diff -u -r1.7 PLIST
--- misc/screen/pkg/PLIST	2000/05/10 21:54:47	1.7
+++ misc/screen/pkg/PLIST	2000/07/03 18:23:00
@@ -1,6 +1,6 @@
+@comment $OpenBSD: PLIST,v 1.10 2000/06/23 18:59:40 brad Exp $
+bin/screen
 bin/screen-3.9.5
-@exec ln -sf %B%f %B/screen
-@unexec rm -f %B/screen
 man/man1/screen.1
 @unexec install-info --delete %D/info/screen.info %D/info/dir
 info/screen.info

